Bug 1376207 - Review Request: python-fedmsg-atomic-composer - Composes atomic trees when Fedora repositories are updated
Summary: Review Request: python-fedmsg-atomic-composer - Composes atomic trees when Fe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-14 21:06 UTC by Randy Barlow
Modified: 2016-09-30 22:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 16:19:34 UTC
puiterwijk: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2016-09-14 21:06:27 UTC
Spec URL: https://bowlofeggs.fedorapeople.org/fedmsg-atomic-composer.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/fedmsg-atomic-composer-2016.2-1.fc26.src.rpm
Description: This is a Fedmsg consumer that listens for when the Fedora
updates/rawhide/branched repositories sync with the master mirror, and
then triggers Atomic OSTree composes.
Fedora Account System Username: bowlofeggs

Comment 2 Patrick Uiterwijk 2016-09-14 21:20:49 UTC
I will review this.

Comment 3 Patrick Uiterwijk 2016-09-14 21:52:21 UTC
Please fix the package name in the review, and make sure the spec in the SRPM is the same as the original one.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


ISSUES:
     Should be named python-fedmsg-atomic-composer.
     Patch0 does not point to the upstream patch in one version of the spec.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
     Should be named python-fedmsg-atomic-composer.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
     Patch0 does not point to the upstream patch in one version of the spec.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: fedmsg-atomic-composer-2016.2-1.fc24.noarch.rpm
          fedmsg-atomic-composer-2016.2-1.fc24.src.rpm
fedmsg-atomic-composer.noarch: E: non-standard-dir-perm /var/lib/fedora-atomic 775
fedmsg-atomic-composer.noarch: W: no-manual-page-for-binary fedmsg-atomic-composer-cli
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
fedmsg-atomic-composer.noarch: E: non-standard-dir-perm /var/lib/fedora-atomic 775
fedmsg-atomic-composer.noarch: W: no-manual-page-for-binary fedmsg-atomic-composer-cli
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/patrick/Documents/1376207-fedmsg-atomic-composer/srpm/fedmsg-atomic-composer.spec	2016-09-14 23:26:15.105025557 +0200
+++ /home/patrick/Documents/1376207-fedmsg-atomic-composer/srpm-unpacked/fedmsg-atomic-composer.spec	2016-09-14 22:49:50.000000000 +0200
@@ -10,6 +10,4 @@
 URL:            https://github.com/fedora-infra/fedmsg-atomic-composer
 Source0:        https://github.com/fedora-infra/fedmsg-atomic-composer/archive/%{version}.tar.gz
-# This won't be needed once there's an upstream release with
-# https://github.com/fedora-infra/fedmsg-atomic-composer/pull/6
 Patch0:         0001-Default-to-var-lib-fedora-atomic-instead-of-srv-fedo.patch
 


Requires
--------
fedmsg-atomic-composer (rpmlib, GLIBC filtered):
    /usr/bin/python2
    mock
    python(abi)
    python-click
    python-mako



Provides
--------
fedmsg-atomic-composer:
    fedmsg-atomic-composer



Source checksums
----------------
https://github.com/fedora-infra/fedmsg-atomic-composer/archive/2016.2.tar.gz :
  CHECKSUM(SHA256) this package     : 0ea64b27d25b55cf1549da17051ccb4269dd3bd0ba1b90570d2705319d8bcafb
  CHECKSUM(SHA256) upstream package : 0ea64b27d25b55cf1549da17051ccb4269dd3bd0ba1b90570d2705319d8bcafb


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1376207
Buildroot used: fedora-24-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Randy Barlow 2016-09-14 22:24:47 UTC
Here's rev. 2 with the python2- prefix, and these files should also match up:

Spec URL: https://bowlofeggs.fedorapeople.org/python-fedmsg-atomic-composer.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/python-fedmsg-atomic-composer-2016.2-2.fc26.src.rpm

Thanks!

Comment 5 Patrick Uiterwijk 2016-09-14 22:26:59 UTC
Package APPROVED.

Comment 6 Patrick Uiterwijk 2016-09-14 22:30:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-fedmsg-atomic-composer

Comment 7 Fedora Update System 2016-09-15 03:23:09 UTC
python-fedmsg-atomic-composer-2016.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d31fc60666

Comment 8 Fedora Update System 2016-09-15 03:24:43 UTC
python-fedmsg-atomic-composer-2016.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e10c8a3162

Comment 9 Fedora Update System 2016-09-15 03:26:40 UTC
python-fedmsg-atomic-composer-2016.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-edaf3dccd0

Comment 10 Fedora Update System 2016-09-15 23:50:17 UTC
python-fedmsg-atomic-composer-2016.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-edaf3dccd0

Comment 11 Fedora Update System 2016-09-16 00:54:01 UTC
python-fedmsg-atomic-composer-2016.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e10c8a3162

Comment 12 Fedora Update System 2016-09-16 01:24:47 UTC
python-fedmsg-atomic-composer-2016.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d31fc60666

Comment 13 Fedora Update System 2016-09-20 17:06:20 UTC
python-fedmsg-atomic-composer-2016.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-09-23 16:19:34 UTC
python-fedmsg-atomic-composer-2016.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-30 22:50:11 UTC
python-fedmsg-atomic-composer-2016.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.